#include <AT91.h>

#define STARTPIO 0xFFFFF600
#define STARTUSART 0xFFFC0000
#define STARTPMC 0xFFFFFC00


// PMC Peripheral Clock Enable Register //
  volatile int* MY_PMC_PCER  = (volatile int*)(STARTPMC+0x0010);
// Ende PMC Peripheral Clock Enable Register //

// PIOB-Register //
  volatile int* MY_PIOB_PER  = (volatile int*)(STARTPIO+0x0000);
  volatile int* MY_PIOB_OER  = (volatile int*)(STARTPIO+0x0010);
  volatile int* MY_PIOB_SODR = (volatile int*)(STARTPIO+0x0030);
  volatile int* MY_PIOB_CODR = (volatile int*)(STARTPIO+0x0034);
  volatile int* MY_PIOB_ODSR = (volatile int*)(STARTPIO+0x0038);
  volatile int* MY_PIOB_OWER  = (volatile int*)(STARTPIO+0x00A0);
// Ende PIOB-Register //


// USART-Register //
  volatile int* MY_USART_CR    = (volatile int*)(STARTUSART+0x0000);
  volatile int* MY_USART_MR    = (volatile int*)(STARTUSART+0x0004);
  volatile int* MY_USART_IER   = (volatile int*)(STARTUSART+0x0008);
  volatile int* MY_USART_IDR   = (volatile int*)(STARTUSART+0x000C);
  volatile int* MY_USART_IMR   = (volatile int*)(STARTUSART+0x0010);
  volatile int* MY_USART_CSR   = (volatile int*)(STARTUSART+0x0014);
  volatile int* MY_USART_RHR   = (volatile int*)(STARTUSART+0x0018);
  volatile int* MY_USART_THR   = (volatile int*)(STARTUSART+0x001C);
  volatile int* MY_USART_BRGR  = (volatile int*)(STARTUSART+0x0020);
  volatile int* MY_USART_RTOR  = (volatile int*)(STARTUSART+0x0024);
  volatile int* MY_USART_TTGR  = (volatile int*)(STARTUSART+0x0028);
  volatile int* MY_USART_FIDI  = (volatile int*)(STARTUSART+0x0040);
  volatile int* MY_USART_NER   = (volatile int*)(STARTUSART+0x0044);
  volatile int* MY_USART_IF    = (volatile int*)(STARTUSART+0x004C);
  volatile int* MY_USART_MAN   = (volatile int*)(STARTUSART+0x0050);
// Ende USART-Register //
